package com.adealink.weparty.module.widget.form.field.singlechoice

import android.content.Context
import android.view.ViewGroup
import androidx.lifecycle.LifecycleOwner
import com.adealink.weparty.module.widget.form.adapter.WidgetDelegate

class SingleChoiceDelegate :
    WidgetDelegate<SingleChoiceWidgetData, SingleChoiceWidgetView>() {
    override fun onCreateView(
        lifecycleOwner: LifecycleOwner,
        context: Context,
        parent: ViewGroup,
        data: SingleChoiceWidgetData
    ): SingleChoiceWidgetView {
        val widget = SingleChoiceWidgetView(context)
        parent.addView(
            widget, ViewGroup.LayoutParams(
                ViewGroup.LayoutParams.MATCH_PARENT,
                ViewGroup.LayoutParams.WRAP_CONTENT
            )
        )
        widget.onViewCreated(lifecycleOwner, data)
        return widget
    }
}